Ansible deprecated in the Extras channel

Updated -

Ansible and its dependencies will no longer be updated through the Extras channel. Instead, the Red Hat Ansible Engine product has been made available to Red Hat Enterprise Linux subscriptions and will provide access to the official Ansible Engine channel. Customers who have previously installed Ansible and its dependencies from the Extras channel are advised to enable and update from the Ansible Engine channel, or uninstall the packages as future errata will not be provided from the Extras channel. For instructions on how to install Ansible Engine, refer to: How do I Download and Install Red Hat Ansible Engine?.

Ansible was previously provided in Extras (x86_64 and ppc64le architectures) as a runtime dependency of, and limited in support to, the Red Hat Enterprise Linux (RHEL) System Roles. Ansible Engine is available today for x86_64 with ppc64le availability coming soon.

The following packages are deprecated from the Extras channel beginning with Red Hat Enterprise Linux 7.5:

  • ansible
  • ansible-doc
  • python2-crypto
  • libtomcrypt
  • libtommath
  • libtommath-devel
  • python2-jmespath
  • python-httplib2
  • python-paramiko
  • python-paramiko-doc
  • python-passlib
  • sshpass

For instructions on how to install Ansible Engine, refer to: How do I Download and Install Red Hat Ansible Engine?
For information regarding the Ansible Engine product refer to: Red Hat Ansible Engine
For information regarding the Ansible Engine life cycle refer to: Red Hat Ansible Engine Life Cycle
For information regarding the Ansible Engine support policies refer to: Top Support Policies for Red Hat Ansible Automation

Table of Contents

No